EDIT - bug #8995

Guarantee a term always has a vocabulary
05/04/2020 06:53 PM - Andreas Mller

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.43

Severity: normal Found in Version:

Description

Some production databases do have terms which are not attached to vocabularies.

This has multiple reasons.

In general DefinedTermBase.vocabulary should be NotNull.

Before we implement this, all production databases should have no terms with records in

SELECT *
FROM DefinedTermBase dtb
WHERE dtb.vocabulary_id IS NULL

Related issues:

Related to EDIT - bug #8998: Terms created by abcd import should always be pa... Resolved
Related to EDIT - bug #7313: eu.etaxonomy.cdm.datalnserter.RegistrationRequir... Closed
History

#1 - 05/05/2020 11:50 AM - Katja Luther

- Related to bug #8998: Terms created by abcd import should always be part of a vocabulary added

#2 - 05/05/2020 07:35 PM - Andreas Miiller

- Related to bug #7313: eu.etaxonomy.cdm.datalnserter.RegistrationRequiredDatalnserter add all terms to vocabulary added

#3 - 06/23/2020 02:53 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.43

04/18/2024

1/1



http://www.tcpdf.org

